MyGUI: MyGUI::LevelLogFilter Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::LevelLogFilter Class Reference

`#include <MyGUI_LevelLogFilter.h>`

Inheritance diagram for MyGUI::LevelLogFilter:
[legend]

## Public Member Functions
| LevelLogFilter ()
virtual | ~LevelLogFilter ()
virtual bool | shouldLog (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)
void | setLoggingLevel (LogLevel _value)
LogLevel | getLoggingLevel () const
Public Member Functions inherited from MyGUI::ILogFilter
virtual | ~ILogFilter ()

## Detailed Description

Definition at line 16 of file MyGUI_LevelLogFilter.h.

## Constructor & Destructor Documentation

## ◆ LevelLogFilter()

MyGUI::LevelLogFilter::LevelLogFilter | ( |  | ) |

Definition at line 13 of file MyGUI_LevelLogFilter.cpp.

## ◆ ~LevelLogFilter()

MyGUI::LevelLogFilter::~LevelLogFilter | ( |  | ) |
| virtual

Definition at line 18 of file MyGUI_LevelLogFilter.cpp.

## Member Function Documentation

## ◆ getLoggingLevel()

LogLevel MyGUI::LevelLogFilter::getLoggingLevel | ( |  | ) | const

Get logging level.

Returns
  Messages with this or higher level are logged.

Definition at line 32 of file MyGUI_LevelLogFilter.cpp.

## ◆ setLoggingLevel()

void MyGUI::LevelLogFilter::setLoggingLevel | ( | LogLevel | _value | ) |

Set logging level.

Parameters

  _value | messages with this or higher level will be logged.

Definition at line 27 of file MyGUI_LevelLogFilter.cpp.

## ◆ shouldLog()

bool MyGUI::LevelLogFilter::shouldLog | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line
| ) |  |
| virtual

Check if specific log message should be logged.
For example some log listeners use only messages with high log level.

Reimplemented from MyGUI::ILogFilter.

Definition at line 22 of file MyGUI_LevelLogFilter.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LevelLogFilter.h
- MyGUI_LevelLogFilter.cpp